URL="$1"

for BROWSER in firefox mozilla chrome seamonkey
do
    type $BROWSER 2>&1 >/dev/null
    if [ $? -eq 0 ]
    then
        break
    fi
done

case "$BROWSER" in
    "chrome")
        chrome $URL &
        ;;
    "firefox")
        firefox -new-window $URL &
        ;;	
    "mozilla")
        mozilla $URL &
        ;;	
    "chrome")
        chrome $URL &
        ;;	
    "*")
        echo "ERROR: No browser found" 2>&1
        exit 1
esac

